Decommission analytics1026 and analytics1015
Closed, ResolvedPublic

Description

Hello DC-Ops,

I followed https://wikitech.wikimedia.org/wiki/Server_Lifecycle#Reclaim_to_Spares_OR_Decommission and I'd like to decom the following hosts:

  • analytics1026.eqiad.wmnet
  • analytics1015.eqiad.wmnet

The former might be reclaimed and used as spare, meanwhile the latter is a OOW machine.

Thanks in advance!

Luca

elukey created this task.Oct 4 2016, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2016, 2:04 PM
elukey triaged this task as "Normal" priority.Oct 18 2016, 1:02 PM
Cmjohnson lowered the priority of this task from "Normal" to "Low".Dec 2 2016, 5:46 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-25T00:09:14Z] <mutante> analytics1015,analytics1026 - revoked puppet cert, removing from puppet, shutting down (T147313)

Change 334004 had a related patch set uploaded (by Dzahn):
site.pp, DHCP: remove analytics1015, analytics1026

https://gerrit.wikimedia.org/r/334004

Change 334004 merged by Dzahn:
site.pp, DHCP: remove analytics1015, analytics1026

https://gerrit.wikimedia.org/r/334004

Dzahn added a subscriber: Dzahn.Jan 25 2017, 12:42 AM

Change 334013 had a related patch set uploaded (by Dzahn):
remove analytics1015, analytics1026. incl. mgmt

https://gerrit.wikimedia.org/r/334013

Change 334013 merged by Dzahn:
remove analytics1015, analytics1026. keep mgmt

https://gerrit.wikimedia.org/r/334013

Mentioned in SAL (#wikimedia-operations) [2017-01-25T19:26:38Z] <mutante> analytics1015,analytics1026 - decom: remove DNS names, delete salt keys, revoke puppet certs, puppet node clean (to remove from icinga) (T147313)

Mentioned in SAL (#wikimedia-operations) [2017-01-26T22:56:55Z] <mutante> analytics1015, analytics1026 - puppet node clean (again?) - again having problems to remove decom'ed nodes from Icinga (T147313)

Mentioned in SAL (#wikimedia-operations) [2017-01-27T20:14:26Z] <mutante> db1029, db1042, analytics1015, analytics1026 - puppet node deactivate, remove from icinga, finish decom (T147313, T149793, T146265)

Change 336894 had a related patch set uploaded (by Cmjohnson):
Removing analytics1015 mgmt ip address....decommissioned and removed from rack T147313

https://gerrit.wikimedia.org/r/336894

Change 336894 merged by Cmjohnson:
Removing analytics1015 mgmt ip address....decommissioned and removed from rack T147313

https://gerrit.wikimedia.org/r/336894

Cmjohnson closed this task as "Resolved".Mar 3 2017, 4:44 PM

Removed from rack